Bug 1026171 - (CVE-2013-4497) CVE-2013-4497 openstack-nova: XenAPI security groups not kept through migrate or resize
CVE-2013-4497 openstack-nova: XenAPI security groups not kept through migrate...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121030,reported=2...
: Security
Depends On: 1026172 1026174 1026175 1032286
Blocks: 1023240 1026177
  Show dependency treegraph
 
Reported: 2013-11-04 01:06 EST by Garth Mollett
Modified: 2016-04-26 23:59 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 03:13:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
cve-2013-4497-stable-grizzly-a.patch (4.51 KB, patch)
2013-11-14 02:44 EST, Kurt Seifried
no flags Details | Diff
cve-2013-4497-stable-grizzly-b.patch (1.77 KB, patch)
2013-11-14 02:45 EST, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Garth Mollett 2013-11-04 01:06:18 EST
Jeremy Stanley <jeremy@openstack.org> reports:

Chris Behrens with Rackspace and Vangelis Tasoulas reported a set of
vulnerabilities in OpenStack Nova. When migrating or resizing an
instance, including live migration, existing security groups may not
be reapplied after the operation completes. This can lead to
unintentional network exposure for virtual machines. Only setups
using the XenAPI backend are affected.
Comment 2 Garth Mollett 2013-11-04 01:18:44 EST
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 1026175]
Comment 3 Garth Mollett 2013-11-04 01:33:15 EST
External References:

https://launchpad.net/bugs/1073306
https://launchpad.net/bugs/1202266
Comment 4 Vincent Danen 2013-11-13 15:36:40 EST
Upstream fixes:

https://review.openstack.org/52987
https://review.openstack.org/52991
Comment 5 Kurt Seifried 2013-11-14 02:44:13 EST
Created attachment 823795 [details]
cve-2013-4497-stable-grizzly-a.patch
Comment 6 Kurt Seifried 2013-11-14 02:45:00 EST
Created attachment 823796 [details]
cve-2013-4497-stable-grizzly-b.patch
Comment 12 Kurt Seifried 2013-11-19 14:23:36 EST
We explicitly don't support this functionality but we do provide it, I think fixing it in the next z stream release would be fine.
Comment 14 Fedora Update System 2014-01-07 04:34:52 EST
openstack-nova-2013.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2014-04-02 05:14:05 EDT
openstack-nova-2013.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 errata-xmlrpc 2014-04-03 16:20:24 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2014:0366 https://rhn.redhat.com/errata/RHSA-2014-0366.html

Note You need to log in before you can comment on or make changes to this bug.